/** COMMON ELEMENT CSS OVERRIDES */

.navbar-default {
    background-color: rgb(234, 238, 240);
    background-image: none;
}

.search-btn {
    margin-left: 0;
}

/** GENERIC DIV STYLING */

div.max-width {
    max-width: 1200px;
    width: 100%;
}

div.fit-content {
    width: fit-content !important;
}

div.flex-box {
    display: flex;
    width: 100%;
}
    div.flex-box.flex-col {
        flex-direction: column;
        justify-content: center;
    }
        div.flex-box.flex-col.flex-center {
            align-items: center;
        }
        div.flex-box.flex-col.flex-top {
            justify-content: flex-start;
        }
        div.flex-box.flex-col.flex-end {
            justify-content: flex-end;
        }
        div.flex-box.flex-col.flex-left {
            align-items: flex-start;
        }
    div.flex-box.flex-row {
        flex-direction: row;
        align-items: center;
    }
        div.flex-box.flex-row.flex-center {
            justify-content: center;
        }
        div.flex-box.flex-row.flex-top {
            align-items: flex-start;
        }
        div.flex-box.flex-row.flex-end {
            justify-content: flex-end;
        }
        div.flex-box.flex-row.flex-left {
            justify-content: flex-start;
        }
        div.flex-box.flex-row.space-btwn {
            justify-content: space-between;
        }
    div.flex-box.flex-grow {
        flex-grow: 1;
    }
    div.flex-box.flex-wrap {
        flex-wrap: wrap;
    }

div.box-shadow {
    box-shadow: -3px 3px 10px 3px #2b2b2b0f;
}

div.border-rounded {
    border-radius: 5px;
}
    div.border-rounded.rounded-top {
        border-radius: 0px;
        border-top-left-radius: 5px;
        border-top-right-radius: 5px;
    }
    div.border-rounded.rounded-bottom {
        border-radius: 0px;
        border-bottom-left-radius: 5px;
        border-bottom-right-radius: 5px;
    }

div.border-grey {
    border: 1px solid #dfdfdf;
}
    div.border-grey.bottom {
        border-top-width: 0px !important;
        border-left-width: 0px !important;
        border-right-width: 0px !important;
    }
    div.border-grey.top-bottom {
        border-left-width: 0px !important;
        border-right-width: 0px !important;
    }

div.box-head {
    background: rgb(46,78,107);
    background: -moz-linear-gradient(180deg, rgba(46,78,107,1) 0%, rgba(74,106,135,1) 100%);
    background: -webkit-linear-gradient(180deg, rgba(46,78,107,1) 0%, rgba(74,106,135,1) 100%);
    background: linear-gradient(180deg, rgba(46,78,107,1) 0%, rgba(74,106,135,1) 100%);
    color: #ffffff;
    font-size: 16px;
    padding: 5px 10px 5px 10px;
}

div.body-background {
    background-color: #ffffff;
}

div.spacing {
    margin: 15px;
}
    div.spacing.bottom {
        margin: 0;
        margin-bottom: 15px;
    }

/** GENERIC A STYLING */

a.clickable {
    text-decoration: none;
    cursor: pointer;
}

/** GENERIC SPAN STYLING */

span.header-text {
    font-weight: bold;
}

/** SEARCH AREA STYLING */

span.search-field-label {
    width: 100%;
    font-size: 14px;
}

a.search-collapse {
    color: #ffffff;
}
    a.search-collapse:hover {
        color: #f2f2f2;
    }

div.search-content { 
    padding: 5px;
}

div.search-field {
    width: 200px;
    padding: 5px 10px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

div.div-search-btns {
    width: 100%;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
}

div.div-search-btn {
    width: 100px;
    padding: 5px 10px;
    margin: 0 5px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

/* SELECTION STYLING */
span.selection-label {
    font-size: 14px;
    color: #8c8c8c;
}

span.selection-content {
    font-size: 16px;
    color: #000000;
}

a.selection-link {
    font-size: 13px;
}